/****************************************************************************************************

		MCUtilsStreamOperators.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	8/7/2003

****************************************************************************************************/

#ifndef __MCUtilsStreamOperators__
#define __MCUtilsStreamOperators__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "Vector2Fwd.h"
#include "Vector3Fwd.h"
#include "Matrix33Fwd.h"

class TMCiostream;
class TMatrix33SymQuaternion;


TMCiostream& operator << (TMCiostream& stream, const TVector3& vector);
TMCiostream& operator << (TMCiostream& stream, const TVector2& vector);
TMCiostream& operator << (TMCiostream& stream, const TMatrix33& matrix);
TMCiostream& operator << (TMCiostream& stream, const TMatrix33SymQuaternion& matrix);

TMCiostream& operator >> (TMCiostream& stream, TVector3& vector);
TMCiostream& operator >> (TMCiostream& stream, TVector2& vector);
TMCiostream& operator >> (TMCiostream& stream, TMatrix33& matrix);
TMCiostream& operator >> (TMCiostream& stream, TMatrix33SymQuaternion& matrix);


#endif
